### Method

# AppStream Metadata set_update_existing

#### Declaration [src]

    void
    as_metadata_set_update_existing (
      AsMetadata* metad,
      gboolean update
    )

#### Description [src]

If set to `TRUE`, the parser will not create new components but instead update existing components in the pool with new metadata.

NOTE: Right now, this feature is only implemented for metainfo XML parsing!

#### Parameters

`update`

  Type: `gboolean`

  A boolean value.